"""Removerd product and updated cartitem tables

Revision ID: ee85ab3c1e5a
Revises: 795433f13a8f
Create Date: 2022-02-20 11:13:16.317533

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = 'ee85ab3c1e5a'
down_revision = '795433f13a8f'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint('cartitem_product_id_fkey', 'cartitem', type_='foreignkey')
    op.drop_index('ix_product_id', table_name='product')
    op.drop_table('product')
    op.add_column('cartitem', sa.Column('cart_id', sa.Integer(), nullable=False))
    op.add_column('cartitem', sa.Column('price', sa.Numeric(precision=8, scale=2), nullable=False))
    op.add_column('cartitem', sa.Column('name', sa.String(length=100), nullable=False))
    op.add_column('cartitem', sa.Column('desc', sa.Text(), nullable=False))
    op.create_unique_constraint('cartitem_card_id_product_id_key', 'cartitem', ['cart_id', 'product_id'])
    op.drop_constraint('cartitem_card_id_fkey', 'cartitem', type_='foreignkey')
    op.create_foreign_key(None, 'cartitem', 'cart', ['cart_id'], ['id'])
    op.drop_column('cartitem', 'card_id')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('cartitem', sa.Column('card_id', sa.INTEGER(), autoincrement=False, nullable=False))
    op.drop_constraint('cartitem_cart_id_fkey', 'cartitem', type_='foreignkey')
    op.create_foreign_key('cartitem_card_id_fkey', 'cartitem', 'cart', ['card_id'], ['id'])
    op.drop_constraint('cartitem_card_id_product_id_key', 'cartitem', type_='unique')
    op.drop_column('cartitem', 'desc')
    op.drop_column('cartitem', 'name')
    op.drop_column('cartitem', 'price')
    op.drop_column('cartitem', 'cart_id')
    op.create_table('product',
    sa.Column('created_at', postgresql.TIMESTAMP(), autoincrement=False, nullable=True),
    sa.Column('updated_at', postgresql.TIMESTAMP(), autoincrement=False, nullable=True),
    sa.Column('id', sa.INTEGER(), autoincrement=True, nullable=False),
    sa.Column('name', sa.VARCHAR(length=100), autoincrement=False, nullable=False),
    sa.Column('desc', sa.TEXT(), autoincrement=False, nullable=False),
    sa.Column('price', sa.NUMERIC(precision=8, scale=2), autoincrement=False, nullable=False),
    sa.PrimaryKeyConstraint('id', name='product_pkey')
    )
    op.create_index('ix_product_id', 'product', ['id'], unique=False)
    op.create_foreign_key('cartitem_product_id_fkey', 'cartitem', 'product', ['product_id'], ['id'])
    # ### end Alembic commands ###
